Package com.macrofocus.high_d.tablelens.swing

# Class SwingTableLensComponent<Row,C>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensComponent<JComponent,Color,Row,C>
com.macrofocus.high_d.tablelens.swing.SwingTableLensComponent<Row,C>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `com.macrofocus.crossplatform.CPInteractiveComponent<JComponent>`, `TableLensComponent<JComponent,Row,C>`

public class SwingTableLensComponent<Row,C> extends AbstractTableLensComponent<JComponent,Color,Row,C>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `AbstractTableLensComponent.AbstractVisualLayerIDrawing`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `canvas, model, timer, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTableLensComponent(TableLensView<JComponent,Color,Row,C> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `JComponent`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `protected void`
  `refresh()`
  `protected void`
  `repaint()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensComponent

  `addMouseListener, addMouseMotionListener, createOverplots, getClosestRow, getRows, removeMouseListener, removeMouseMotionListener, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTableLensComponent

    public SwingTableLensComponent(TableLensView<JComponent,Color,Row,C> view)

- ## Method Details

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractTableLensComponent<JComponent,Color,Row,C>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractTableLensComponent<JComponent,Color,Row,C>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractTableLensComponent<JComponent,Color,Row,C>`

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractTableLensComponent<JComponent,Color,Row,C>`

  - ### getNativeComponent

    public JComponent getNativeComponent()